Skip to content

GET Service Operation Status for HTTPLB when Caching Enabled.

POST
/api/cdn/namespaces/{namespace}/http_loadbalancer/get-service-operation-status
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/http_loadbalancer/get-service-operation-status \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example", "service_op_id": 1 }'

GET status of an operation command for a given HTTP LB when caching enabled.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace scope of the operation request.

Media typeapplication/json
Service Operation Request

GET Service Operation Request.

object
name
CDN Distribution Name

Name of the CDN distribution. Format: string Required: YES.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace scope of the operation request Required: YES.

string
>= 6 characters <= 1024 characters
service_op_id
Service Operation ID

Operation ID for which status is requested Required: YES.

integer format: int64
Examplegenerated
{
"name": "example",
"namespace": "example",
"service_op_id": 1
}

A successful response.

Media typeapplication/json
Service Operation Response

GET Service Operation Response.

object
error
object
code
string
default: EOK
Allowed values: EOK EPERMS EBADINPUT ENOTFOUND EEXISTS EUNKNOWN ESERIALIZE EINTERNAL EPARTIAL
error_obj
object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
message
message

A human readable string of the error.

string
<= 1024 characters
items
Serice Operation Status Details

Items represents the collection in response.

Array<object>
Service Operation Item

Service Operation Item.

object
purge
object
bytes_not_purged
Number of Bytes Not Purged

Number of bytes Not Purged.

string format: uint64
<= 1024 characters
bytes_purged
Number of Bytes Purged

Number of bytes Purged.

string format: uint64
<= 1024 characters
finish_time
Finish time of Purge Operation

Finish time of Purge Operation format: unix_timestamp|RFC 3339.

string
<= 1024 characters
hard_purge
Hard Purge

Cache Hard Purge.

boolean format: boolean
purge_time
Time taken for Cache Purge

Time taken for Cache Purge.

string
<= 1024 characters
regexp
Regex used in Purge

Regex issued in the Purge Operation.

string
<= 1024 characters
site
NodeId on which the operation status is gathered

Site at which the purge operation was performed.

string
<= 1024 characters
start_time
Start time of Purge Operation

Start time of Purge Operation.

string
<= 1024 characters
service_op_id
Service Operation ID

Operation ID for which status is requested. This for example is the purge_request_id obtained in the response to the CachePurge Request.

integer format: int64
status
Service Operation Status

Status of the operation command.

string
>= 17 characters <= 1024 characters
Example
{
"error": {
"code": "EOK"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example